summaryrefslogtreecommitdiffstats
path: root/abs/extra/speech-dispatcher/speech-dispatcher.install
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2014-01-23 19:15:59 (GMT)
committerBritney Fransen <brfransen@gmail.com>2014-01-23 19:15:59 (GMT)
commita5869b47aa0abac068f9d314d03e9f04df7e80a9 (patch)
tree1ee1b7d8ee4619c583d9f94759b2edbdce9f8793 /abs/extra/speech-dispatcher/speech-dispatcher.install
parent6c79776d89c3708886adfb9a78ba58f1ae6be3bd (diff)
downloadlinhes_pkgbuild-a5869b47aa0abac068f9d314d03e9f04df7e80a9.zip
linhes_pkgbuild-a5869b47aa0abac068f9d314d03e9f04df7e80a9.tar.gz
linhes_pkgbuild-a5869b47aa0abac068f9d314d03e9f04df7e80a9.tar.bz2
speech-dispatcher: initial inclusion. dep of google-chrome
Diffstat (limited to 'abs/extra/speech-dispatcher/speech-dispatcher.install')
-rw-r--r--abs/extra/speech-dispatcher/speech-dispatcher.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/abs/extra/speech-dispatcher/speech-dispatcher.install b/abs/extra/speech-dispatcher/speech-dispatcher.install
new file mode 100644
index 0000000..1565d3a
--- /dev/null
+++ b/abs/extra/speech-dispatcher/speech-dispatcher.install
@@ -0,0 +1,22 @@
+info_dir=usr/share/info
+info_files=('speech-dispatcher.info'
+ 'ssip.info'
+ 'spd-say.info')
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}